import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-02 16:26
 */
export interface PpMobileWhiteLot {
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
}
export declare class PpMobileWhiteLotMI {
    static get LOT_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-02 16:26
 */
export interface PpMobileUserInfo {
    /**
    *
    * @type { string }
    */
    userId?: string;
    /**
    * 手机号
    * @type { string }
    */
    phone?: string;
    /**
    * 移动积分
    * @type { number }
    */
    points?: number;
    /**
    * 畅由积分
    * @type { number }
    */
    cypoints?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class PpMobileUserInfoMI {
    static get USER_ID(): FieldInfo;
    static get PHONE(): FieldInfo;
    static get POINTS(): FieldInfo;
    static get CYPOINTS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-02 16:26
 */
export interface PpMobileUserLog {
    /**
    * ID
    * @type { string }
    */
    id?: string;
    /**
    * 用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 手机号
    * @type { string }
    */
    phone?: string;
    /**
    * 抵扣积分
    * @type { number }
    */
    points?: number;
    /**
    * 积分类型：MOBILE 移动积分；CY 畅游积分
    * @type { string }
    */
    pointType?: string;
    /**
    * 移动积分兑换订单号
    * @type { string }
    */
    mobileOrderId?: string;
    /**
    * 畅游积分订单号
    * @type { string }
    */
    cyOrderId?: string;
    /**
    * 积分抵扣订单支付状态：00 成功；10 超时； 01超时后成功；02 超时后失败
    * @type { string }
    */
    payState?: string;
    /**
    * 是否发券：Y 发券成功；N 发券失败
    * @type { string }
    */
    isCoupon?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class PpMobileUserLogMI {
    static get ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get PHONE(): FieldInfo;
    static get POINTS(): FieldInfo;
    static get POINT_TYPE(): FieldInfo;
    static get MOBILE_ORDER_ID(): FieldInfo;
    static get CY_ORDER_ID(): FieldInfo;
    static get PAY_STATE(): FieldInfo;
    static get IS_COUPON(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-02 16:26
 */
export interface PpUserLocalAuth {
    /**
    *
    * @type { string }
    */
    accountId?: string;
    /**
    *
    * @type { string }
    */
    ppUserId?: string;
    /**
    *
    * @type { string }
    */
    userName?: string;
    /**
    *
    * @type { string }
    */
    password?: string;
    /**
    *
    * @type { string }
    */
    phone?: string;
    /**
    *
    * @type { Date }
    */
    creatTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class PpUserLocalAuthMI {
    static get ACCOUNT_ID(): FieldInfo;
    static get PP_USER_ID(): FieldInfo;
    static get USER_NAME(): FieldInfo;
    static get PASSWORD(): FieldInfo;
    static get PHONE(): FieldInfo;
    static get CREAT_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
